Bug 305621 - Review Request: bluecurve-metacity-theme - Bluecurve metacity theme
Review Request: bluecurve-metacity-theme - Bluecurve metacity theme
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ArtworkSplit
  Show dependency treegraph
 
Reported: 2007-09-25 13:23 EDT by Ray Strode [halfline]
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 11:59:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mclasen: fedora‑review+
notting: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2007-09-25 13:23:21 EDT
Spec URL:
http://rstrode.fedorapeople.org/bluecurve-metacity-theme/checkout/bluecurve-metacity-theme.spec

SRPM URL:
http://rstrode.fedorapeople.org/bluecurve-metacity-theme/checkout/bluecurve-metacity-theme-1.0.0-1.fc8.src.rpm

Description:
This package contains the Bluecurve metacity theme, a modernization of
the Bluecurve classic theme, that was shipped in late versions of
Red Hat Linux and early versions of Fedora Core.
Comment 1 Matthias Clasen 2007-09-25 23:54:06 EDT
rpmlint output: 
[mclasen@localhost Desktop]$ rpmlint
/var/lib/mock/fedora-development-i386/result/bluecurve-metacity-theme-1.0.0-1.fc8.noarch.rpm

bluecurve-metacity-theme.noarch: W: invalid-license GPL

package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: invalid
license file: ok
spec file language: AE
spec file readability: excellent
upstream sources: no upstream yet
buildability: ok
ExcludeArch: n/a
BRs: ok
locales: ok
shared libs: n/a
relocatable: n/a
directory ownership: who is supposed to own 
  /usr/share/themes/Bluecurve in the new regime ?
%files: ok
permissions: ok
%clean: ok
macro use: consistent
content: permissible
large docs: n/a
%doc: ok
headers: n/a
static libs: n/a
pc files: n/a
shared libs: n/a
devel package: n/a
libtool archives: ok
gui apps: n/a
directory ownership: see above
%install: ok
utf8 filenames: ok

Further comments: 
%description is misleading, since we are to this day shipping Bluecurve.
Comment 2 Ray Strode [halfline] 2007-09-26 00:02:41 EDT
fixed.  I'm going to need to do another one

bluecurve-gnome-theme 

to cover the directory ownership (and old the meta theme file).  It fell through
the cracks when I did the split up.
Comment 3 Matthias Clasen 2007-09-26 12:03:02 EDT
but then you need to make this package require bluecurve-gnome-theme ?
Comment 4 Ray Strode [halfline] 2007-09-26 13:09:52 EDT
i don't know, aside from the dir ownership issue, it makes more sense for
bluecurve-gnome-theme to require bluecurve-metacity-theme, not the other way
around...
Comment 5 Ray Strode [halfline] 2007-09-27 10:38:17 EDT
So I talked to Matthias about this a bit today.  The consensus is we'll have all
the theme packages own /usr/share/themes/Bluecurve.

We think that's probably better than a circular dependency or
bluecurve-filesystem...
Comment 6 Matthias Clasen 2007-09-27 14:31:56 EDT
Approved
Comment 7 Ray Strode [halfline] 2007-10-09 12:02:06 EDT
New Package CVS Request
=======================
Package Name: bluecurve-metacity-theme
Short Description: Bluecurve Metacity theme
Owners: rstrode,davidz
Branches:
InitialCC:
Cvsextras Commits: no
Comment 8 Bill Nottingham 2007-10-09 17:32:54 EDT
done

Note You need to log in before you can comment on or make changes to this bug.